Method: socRoles.patch

Full name: projects.locations.instances.socRoles.patch

Updates an existing SocRole. Use this method to modify a role's displayName, change its defaultRole status, or adjust the additionalRolesAccess it has access to.

HTTP request


PATCH https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{socRole.name}

Path parameters

Parameters
socRole.name

string

Identifier. The unique name(ID) of the SocRole. Format: projects/{project}/locations/{location}/instances/{instance}/socRoles/{socRole}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of SocRole.

Response body

If successful, the response body contains an instance of SocRole.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.socRoles.update

For more information, see the IAM documentation.